Gets a list of Shipment Updates
curl --request GET \
--url https://api.example.com/api/v1/Shipments/Updates \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/api/v1/Shipments/Updates"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/api/v1/Shipments/Updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isSuccess": true,
"message": "<string>",
"payload": [
{
"header": {
"containerId": "<string>",
"orderNumber": "<string>",
"shipDate": "2023-11-07T05:31:56Z",
"carrierName": "<string>",
"trackingNumber": "<string>",
"trackingNumberUrl": "<string>",
"statusCode": "<string>",
"statusDescription": "<string>"
},
"lineItems": [
{
"containerId": "<string>",
"lineNumber": 123,
"sku": "<string>",
"quantity": 123
}
],
"events": [
{
"containerId": "<string>",
"eventTime": "2023-11-07T05:31:56Z",
"city": "<string>",
"stateOrProvince": "<string>",
"description": "<string>"
}
]
}
]
}Gets a list of Shipment Updates
GET
/
api
/
v1
/
Shipments
/
Updates
Gets a list of Shipment Updates
Authorizations
Enter the Bearer AccessToken; Example: 'Bearer 12345abcdef'
Query Parameters
AccountNumber is the unique Customer ID in the WineDirect system.
Minimum string length:
2The beginning date of the search range with time
YYYY-MM-DDTHH:mm eg 2023-05-30T16:59 (PST)
or
YYYY-MM-DD eg 2023-05-30 (PST)
The ending date of the search range
YYYY-MM-DDTHH:mm eg 2023-05-30T16:59 (PST)
or
YYYY-MM-DD eg 2023-05-30 (PST)
The shipment container ID
Response
200 - application/json
A list of shipment updates
Was this page helpful?